### Method

# GLib Cache value_foreach

deprecated: 2.10

#### Declaration

    void
    g_cache_value_foreach (
      GCache* cache,
      GHFunc func,
      gpointer user_data
    )

#### Description

Calls the given function for each of the values in the `GCache`.

Deprecated since: 2.10

The reason is that it passes pointers to internal data structures to `func`; use `g_cache_key_foreach()` instead.

#### Parameters

`func`

  Type: `GHFunc`

  The function to call with each `GCache` value.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.